/************************************************************************
 *
 *  tch_defs.h 
 *  Terascan extraction  constant definitions
 *  
 *  This file contains integer and string constants used in the program
 *  tchannel.exe.
 *  
 *  ADM   29 MAR 1993
 *
 ************************************************************************/

/* ----- array sizes ----- */
#define FNAME_SIZE    80  /* "/path/path/path/filename" */
#define DATE_SIZE     12  /* "DD MMM YYYY" */
#define TIME_SIZE      9  /* "HH:MM:SS" */
#define BUF_LEN       80  /* for input buffer */
#define BUF_SIZE     300  /* for extraction */

/* ----- integer constants ----- */
#define TRUE           1  /* arbitrary non-zero is always true */
#define FALSE          0  /* zero is always false */
#define TYPE_CIVILIAN  5  /* 0000 0101 binary (arbitrary) */
#define TYPE_MILITARY -6  /* 1111 1010 binary (arbitrary) */

/* ----- character and string constants ----- */
#define MILITARY     'f'
#define CIVILIAN     'n'
#define FILE_NOT_FOUND  "FILE %s NOT FOUND!\n"
#define COULD_NOT_CREATE "UNABLE TO CREATE %s.  Check UNIX permission bits.\n"
#define READ_ERROR   "error during read\n"
#define WRITE_ERROR  "error during write\n"
#define GETS_ERROR   "error during gets\n"

/* ----- function return codes ----- */
#define RC_GOOD        0
#define RC_NOFILE     50
#define RC_QUIT       60
#define RC_NOCREAT    70



/************************************************************************
 *   END OF FILE tch_defs.h
 ************************************************************************/
